Subject: RE: bug#358: dabbrev-abbrev-char-regexp

From: Drew Adams <[email-masked]>
Date: Thu, 23 Mar 2017 12:42:57 -0700 (PDT)

> +For instance, if you are programming in Lisp, `yes-or-no-p' is a
> +symbol, while `yes', `or', `no' and `p' are considered words.

This text (same as before) is a bit misleading.  It makes it sound
like `yes', `or', `no', and `p' are considered words but not symbols. 
They are also considered symbols.  Each of their characters has word
syntax, but in Lisp those names name symbols.

It is better not to talk about Lisp symbols at all here, I think.
This is about the syntax categories symbol and word.  It is not
about which names can be used for Lisp symbols.  (And there is
no such thing as a Lisp "word".)